Can I sync the iPad 2 calendar with my Mac OS X 10.4.11?

2 Answers from the Community

  • Answer

    No, the iPad requires OS X v10.5.8 or later.

    • Answered by Jeremy K from Hilliard
    • 03-Jun-2012
  • so what other options are there?

    • Answered by Lynne D from Oak Park
    • 30-Sep-2012